commit:     c77d81a9200922cee141e00641772bdf85a39205
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Dec  9 16:21:28 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Dec  9 16:36:58 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c77d81a9

dev-python/lz4: Fix testing against freshly built version

Closes: https://bugs.gentoo.org/919382
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/lz4/lz4-4.3.2.ebuild | 17 ++++++++++++-----
 1 file changed, 12 insertions(+), 5 deletions(-)

diff --git a/dev-python/lz4/lz4-4.3.2.ebuild b/dev-python/lz4/lz4-4.3.2.ebuild
index ef9a2537225b..08269ec71c17 100644
--- a/dev-python/lz4/lz4-4.3.2.ebuild
+++ b/dev-python/lz4/lz4-4.3.2.ebuild
@@ -33,10 +33,17 @@ BDEPEND="
        )
 "
 
+# note: test suite fails with xdist
 distutils_enable_tests pytest
 
-EPYTEST_IGNORE=(
-       # lz4.stream is not officially supported and not installed by default
-       # (we do not support installing it at the moment)
-       tests/stream
-)
+python_test() {
+       local EPYTEST_IGNORE=(
+               # lz4.stream is not officially supported and not installed by 
default
+               # (we do not support installing it at the moment)
+               tests/stream
+       )
+
+       rm -rf lz4 || die
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       epytest
+}

Reply via email to